function GetCsValue(Cs: Csv; Id: Int64): String;
begin
	if Id > CSV_MAXWIDTH then
		exit;
	GetCsValue := Cs.Value[Id];
end;

function LoadCsv(Source: String): Csv;
var
	Disk: Text;
	RamChar: Char;
	RamStr: String;
	Position: Int64;
	
begin
	assign(Disk,Source);
	reset(Disk);
	Position := 0;
	
	repeat
		Position := Position + 1;
		RamStr := '';
		repeat
			read(Disk,RamChar);
			if (RamChar <> '') and (RamChar <> ' ') and (RamChar <> ';') then
				begin
					RamStr := RamStr + RamChar;
				end;
			if ord(RamChar) = 13 then
				readln(Disk);
			until RamChar = ';';
		LoadCsv.Value[Position] := RamStr;
		if Position >= CONFIG_MAXPARAMETERS then
			begin
				Warn('CONFIG: PARAMETER DATA EXCEEDS ARRAY WIDTH!');
				break;
			end;
		until eof(Disk);
	LoadCsv.Length := Position;
	close(Disk);
end;
